# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-07-19 15:05
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    dependencies = [
        ('django_shopify_synchronizer', '0002_auto_20180719_1440'),
    ]

    operations = [
        migrations.CreateModel(
            name='SyncDirectiveMap',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('topic', models.CharField(choices=[('products/create', 'Product create'), ('products/update', 'Product update')], max_length=32)),
                ('active', models.BooleanField(default=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='shop',
            name='signature',
            field=models.CharField(blank=True, max_length=65, null=True, verbose_name='Signature'),
        ),
        migrations.AddField(
            model_name='syncdirectivemap',
            name='dst',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='directives_targets', to='django_shopify_synchronizer.Shop'),
        ),
        migrations.AddField(
            model_name='syncdirectivemap',
            name='src',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='directives_sources', to='django_shopify_synchronizer.Shop'),
        ),
        migrations.AddField(
            model_name='shop',
            name='directives',
            field=models.ManyToManyField(through='django_shopify_synchronizer.SyncDirectiveMap', to='django_shopify_synchronizer.Shop'),
        ),
    ]
